For the complete documentation index, see llms.txt. This page is also available as Markdown.

Deepnet

Create

post

Create a new Deepnet MFA.

Body

Create MFA of type deepnet

namestring · min: 1 · max: 255 · nullableRequired

The name of the target Multi Factor Authentication. This must be the actual Multi Factor Authentication name used in the RAS farm.

siteIdinteger · int32Optional

Site ID in which to modify the specified Multi Factor Authentication. If the parameter is omitted, the site ID of the Licensing Server will be used.

descriptionstring · nullableOptional

A user-defined Multi Factor Authentication description.

enabledbooleanOptional

Enable or disable the Multi Factor Authentication upon creation. If the parameter is omitted, the Multi Factor Authentication is initialised as Disabled.

activateEmailboolean · nullableOptional

Whether the activation email is enabled or disabled.

activateSMSboolean · nullableOptional

Whether the activation SMS is enabled or disabled.

appstring · max: 255 · nullableOptional

A value that represents the application name.

appIDstring · max: 255 · nullableOptional

A value that represents the application ID.

authModestring · enumOptional

Deepnet Authentication Mode

Possible values:
deepnetAgentstring · max: 255 · nullableRequired

A value that represents the name of Deepnet Agent.

defaultDomainstring · max: 255 · nullableOptional

A value that represents the Default Domain.

sslboolean · nullableOptional

Whether SSL is allowed or not.

deepnetServerstring · nullableRequired

The server of the second level authentication provider.

deepnetPortinteger · int32 · nullableRequired

The port number of the second level authentication provider.

tokenTypestring · enumOptional

Token Type

Possible values:
Responses
201

Created

application/json; api-version=1.0

MFA Deepnet Settings

idinteger · int32Optional

ID of the object.

adminCreatestring · nullableOptional

User who created the object.

adminLastModstring · nullableOptional

User who last modified the object.

timeCreatestring · date-timeOptional

Time when the object was created.

timeLastModstring · date-timeOptional

Time when the object was last modified.

namestring · nullableOptional

Name

siteIdinteger · int32Optional

Site ID

descriptionstring · nullableOptional

Description

enabledbooleanOptional

Whether MFA provider is enabled or not.

typestring · enumOptional

Provider Type

Possible values:
inheritDefaultCriteriaSettingsbooleanOptional

If true default criteria restriction settings will be inherited.

activateEmailbooleanOptional

Whether the activation email is enabled or disabled.

activateSMSbooleanOptional

Whether the activation SMS is enabled or disabled.

appstring · nullableOptional

A value that represents the application name.

appIDstring · nullableOptional

A value that represents the application ID.

authModestring · enumOptional

Deepnet Authentication Mode

Possible values:
deepnetAgentstring · nullableOptional

A value that represents the name of Deepnet Agent.

defaultDomainstring · nullableOptional

A value that represents the Default Domain.

sslbooleanOptional

Whether SSL is allowed or not.

serverstring · nullableOptional

The server of the second level authentication provider.

portinteger · int32Optional

The port number of the second level authentication provider.

tokenTypestring · enumOptional

Token Type

Possible values:
post/api/MFA/Deepnet

Update

put

Update the MFA Deepnet settings.

Path parameters
idinteger · int32Required

The id for which to modify the MFA settings.

Body

Update MFA of type deepnet

namestring · min: 1 · max: 255 · nullableOptional

The new name of the target multi-factor authentication .

descriptionstring · nullableOptional

A user-defined multi-factor authentication description.

enabledboolean · nullableOptional

Enable or disable the specified multi-factor authentication in a site.

inheritDefaultCriteriaSettingsboolean · nullableOptional

If true default criteria settings will be inherited.

activateEmailboolean · nullableOptional

Whether the activation email is enabled or disabled.

activateSMSboolean · nullableOptional

Whether the activation SMS is enabled or disabled.

appstring · max: 255 · nullableOptional

A value that represents the application name.

appIDstring · max: 255 · nullableOptional

A value that represents the application ID.

authModestring · enumOptional

Deepnet Authentication Mode

Possible values:
deepnetAgentstring · max: 255 · nullableOptional

A value that represents the name of Deepnet Agent.

defaultDomainstring · max: 255 · nullableOptional

A value that represents the Default Domain.

sslboolean · nullableOptional

Whether SSL is allowed or not.

deepnetServerstring · nullableOptional

The server of the second level authentication provider.

deepnetPortinteger · int32 · nullableOptional

The port number of the second level authentication provider.

tokenTypestring · enumOptional

Token Type

Possible values:
Responses
204

No Content

No content

put/api/MFA/Deepnet/{id}

No content

Last updated